Example: Searching Interactions by Date and Time
This example demonstrates how to use a GET request to retrieve interactions that occurred within a specific time range.
For this example, we retrieve all interactions that occurred on December 29, 2017 between 14:00 and 24:00 UTC.
Request
Sample Request
The request below returns interactions for the specified time range:
curl GET https://api.cxengage.net/v1/tenants/0e73a980-6557-11e6-b1b9-ca81484488df/interactions?startTimeRange=2017-12-29T14:00:00.000Z&endTimeRange=2017-12-29T24:00:00.000Z
Request Parameters
The table below lists the parameters you can include in a request:
| Parameter | Required? |
Type
|
Description |
|---|---|---|---|
|
tenantId |
yes | UUID | The tenant's unique identifier. |
| startTimeRange | no | string | The date and time, in UTC, for the start of the time range you want to query. |
| endTimeRange | no | string | The date and time, in UTC, for the end of the time range you want to query. |
Response
Sample Response
The request returns JSON structured like the example below:
{
"page": null,
"limit": 10,
"offset": 0,
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"total": 127,
"tenantName": "Your Tenant",
"tenantTimezone": "US/Eastern",
"results": [
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 25.012,
"endTimestamp": "2018-01-09T20:43:03.979Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 25.017,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "a1a2fd20-f57d-11e7-9429-6aa21fb32015",
"segmentStartType": "interaction",
"endTimestamp": "2018-01-09T20:43:03.974Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 25.012,
"startTimestamp": "2018-01-09T20:42:38.962Z",
"segmentTime": 25.012
}
],
"interactionId": "a17b02c0-f57d-11e7-ba92-25b49e03c3e7",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 0,
"startTimestamp": "2018-01-09T20:42:38.962Z",
"ivrTime": 0.081,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "a1a2fd20-f57d-11e7-9429-6aa21fb32015",
"queueAbandonTime": 24.931,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2018-01-09T20:43:03.974Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "a1ae20b0-f57d-11e7-8f8a-740a2f77d3cf",
"queueType": "queue",
"startTimestamp": "2018-01-09T20:42:39.043Z",
"queueName": "Support",
"queueTime": 24.931,
"slaTime": 24.931,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 41.149,
"endTimestamp": "2017-12-29T14:24:38.625Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 41.154,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "e80733e0-eca3-11e7-9429-6aa21fb32015",
"segmentStartType": "interaction",
"endTimestamp": "2017-12-29T14:24:38.620Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 41.149,
"startTimestamp": "2017-12-29T14:23:57.471Z",
"segmentTime": 41.149
}
],
"interactionId": "e6952d50-eca3-11e7-ba92-25b49e03c3e7",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 0,
"startTimestamp": "2017-12-29T14:23:57.471Z",
"ivrTime": 1.793,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "e80733e0-eca3-11e7-9429-6aa21fb32015",
"queueAbandonTime": 39.356,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2017-12-29T14:24:38.620Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "e91807a0-eca3-11e7-8f8a-740a2f77d3cf",
"queueType": "queue",
"startTimestamp": "2017-12-29T14:23:59.264Z",
"queueName": "Support",
"queueTime": 39.356,
"slaTime": 39.356,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 94.166,
"endTimestamp": "2017-12-07T19:22:07.638Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 94.244,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "b2233520-db83-11e7-b86d-6aa612aefe9d",
"segmentStartType": "interaction",
"endTimestamp": "2017-12-07T19:22:07.560Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 94.166,
"startTimestamp": "2017-12-07T19:20:33.394Z",
"segmentTime": 94.166
}
],
"interactionId": "b2109780-db83-11e7-9709-c2b07aa3bee9",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 0,
"startTimestamp": "2017-12-07T19:20:33.394Z",
"ivrTime": 0.173,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "b2233520-db83-11e7-b86d-6aa612aefe9d",
"queueAbandonTime": 93.993,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2017-12-07T19:22:07.560Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "b23cb090-db83-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-07T19:20:33.567Z",
"queueName": "Support",
"queueTime": 93.993,
"slaTime": 93.993,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 15.923,
"flagged": true,
"endTimestamp": "2017-12-05T22:56:52.020Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 16.003,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "8ba30210-da0f-11e7-b09a-a24faebeabe1",
"segmentStartType": "interaction",
"endTimestamp": "2017-12-05T22:56:51.940Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 15.923,
"startTimestamp": "2017-12-05T22:56:36.017Z",
"segmentTime": 15.923
}
],
"interactionId": "8b8e8fb0-da0f-11e7-9709-c2b07aa3bee9",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 0,
"startTimestamp": "2017-12-05T22:56:36.017Z",
"ivrTime": 0.183,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "8ba30210-da0f-11e7-b09a-a24faebeabe1",
"queueAbandonTime": 15.74,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2017-12-05T22:56:51.940Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "8bbe0420-da0f-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T22:56:36.200Z",
"queueName": "Support",
"queueTime": 15.74,
"slaTime": 15.74,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"endTimestamp": "2017-12-05T19:07:11.142Z",
"flowId": "8590ce70-8668-11e7-b018-9a5ac3da6edd",
"customerTransfers": 2,
"interactionTime": 6.055,
"segments": [
{
"endTimestamp": "2017-12-05T19:09:24.725Z",
"interactionSegmentId": "7b85d8f0-d9ef-11e7-81c3-6aa612aefe9d",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T19:07:05.087Z",
"segmentNumber": 0,
"segmentTime": 139.638
},
{
"interactionSegmentId": "b1541be0-d9ef-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "7c83c0f0-d9ef-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T19:08:35.359Z",
"segmentNumber": 1
},
{
"interactionSegmentId": "b3447a30-d9ef-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "7c83c0f0-d9ef-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T19:08:38.611Z",
"segmentNumber": 2
}
],
"interactionId": "7a6aa4f0-d9ef-11e7-9c4e-7eab04d876eb",
"contactPoint": "kdemo@gmail.com",
"customer": "Kcustomer@demo.com",
"customerHolds": 0,
"startTimestamp": "2017-12-05T19:07:05.087Z",
"ivrTime": 0.262,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 3.573,
"agentWrapUpTime": 29.43,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "7b85d8f0-d9ef-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "7c83c0f0-d9ef-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T19:09:24.725Z",
"agentHandleTime": 133.3,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T19:07:06.751Z",
"tenantAgentId": 8376,
"agentConversationTime": 103.87,
"agentReadTime": 102.181,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 103.87,
"agentWorkAcceptedTime": 3.573
}
],
"flowName": "Email Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "7b85d8f0-d9ef-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T19:07:10.686Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "7bace8f0-d9ef-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T19:07:05.349Z",
"queueName": "Support",
"queueTime": 5.337,
"slaTime": 107.518,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 107.518
}
],
"direction": "inbound",
"channelType": "email"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"endTimestamp": "2017-12-05T18:10:59.704Z",
"flowId": "8590ce70-8668-11e7-b018-9a5ac3da6edd",
"customerTransfers": 8,
"interactionTime": 20.414,
"segments": [
{
"endTimestamp": "2017-12-05T18:12:05.319Z",
"interactionSegmentId": "996e1290-d9e7-11e7-b3f1-2675b8cf7e39",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T18:10:39.290Z",
"segmentNumber": 0,
"segmentTime": 86.029
},
{
"interactionSegmentId": "bbb2f5f0-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:36.783Z",
"segmentNumber": 2
},
{
"interactionSegmentId": "baad1eb0-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:35.068Z",
"segmentNumber": 1
},
{
"interactionSegmentId": "bbd3eb70-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:37.000Z",
"segmentNumber": 3
},
{
"interactionSegmentId": "bd6f24e0-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:39.694Z",
"segmentNumber": 4
},
{
"interactionSegmentId": "c033c320-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:44.339Z",
"segmentNumber": 5
},
{
"interactionSegmentId": "c1bfe160-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:46.934Z",
"segmentNumber": 7
},
{
"interactionSegmentId": "c19cc900-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:46.704Z",
"segmentNumber": 6
},
{
"interactionSegmentId": "c678ae80-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:54.858Z",
"segmentNumber": 8
}
],
"interactionId": "98a56b60-d9e7-11e7-9c4e-7eab04d876eb",
"contactPoint": "kdemo@gmail.com",
"customer": "Kcustomer@demo.com",
"customerHolds": 0,
"startTimestamp": "2017-12-05T18:10:39.290Z",
"ivrTime": 0.203,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 18.186,
"agentWrapUpTime": 3.822,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "996e1290-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T18:12:05.319Z",
"agentHandleTime": 65.36,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T18:10:40.879Z",
"tenantAgentId": 8376,
"agentConversationTime": 61.538,
"agentReadTime": 60.151,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 61.538,
"agentWorkAcceptedTime": 18.186
}
],
"flowName": "Email Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "996e1290-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T18:10:59.360Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "998d0c40-d9e7-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T18:10:39.493Z",
"queueName": "Support",
"queueTime": 19.867,
"slaTime": 80.018,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 80.018
}
],
"direction": "inbound",
"channelType": "email"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"endTimestamp": "2017-12-05T18:10:47.682Z",
"flowId": "8590ce70-8668-11e7-b018-9a5ac3da6edd",
"interactionTime": 10.435,
"segments": [
{
"endTimestamp": "2017-12-05T18:10:56.950Z",
"interactionSegmentId": "98367cf0-d9e7-11e7-81c3-6aa612aefe9d",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T18:10:37.247Z",
"segmentNumber": 0,
"segmentTime": 19.703
}
],
"interactionId": "96fb8bf0-d9e7-11e7-9c4e-7eab04d876eb",
"contactPoint": "kdemo@gmail.com",
"customer": "andy-noreply@google.com",
"customerHolds": 0,
"startTimestamp": "2017-12-05T18:10:37.247Z",
"ivrTime": 0.531,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 7.584,
"agentWrapUpTime": 4.391,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "98367cf0-d9e7-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "995fbab0-d9e7-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T18:10:56.950Z",
"agentHandleTime": 9.06,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T18:10:39.195Z",
"tenantAgentId": 8376,
"agentConversationTime": 4.669,
"agentReadTime": 2.86,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 4.669,
"agentWorkAcceptedTime": 7.584
}
],
"flowName": "Email Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "98367cf0-d9e7-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T18:10:47.164Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "988671b0-d9e7-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T18:10:37.778Z",
"queueName": "Support",
"queueTime": 9.386,
"slaTime": 12.246,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 12.246
}
],
"direction": "inbound",
"channelType": "email"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"endTimestamp": "2017-12-05T17:55:55.383Z",
"flowId": "8590ce70-8668-11e7-b018-9a5ac3da6edd",
"interactionTime": 284.157,
"segments": [
{
"endTimestamp": "2017-12-05T17:56:11.668Z",
"interactionSegmentId": "e135cda0-d9e4-11e7-81c3-6aa612aefe9d",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T17:51:11.226Z",
"segmentNumber": 0,
"segmentTime": 300.442
}
],
"interactionId": "e04aaa50-d9e4-11e7-9c4e-7eab04d876eb",
"contactPoint": "kris.mcgrath2+1@gmail.com",
"customer": "mail-noreply@google.com",
"customerHolds": 0,
"startTimestamp": "2017-12-05T17:51:11.226Z",
"ivrTime": 0.271,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 16.733,
"agentWrapUpTime": 2.072,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "e135cda0-d9e4-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "8018da20-d9e5-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T17:56:11.668Z",
"agentHandleTime": 16.306,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T17:55:37.794Z",
"tenantAgentId": 8376,
"agentConversationTime": 14.234,
"agentReadTime": 12.272,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 14.234,
"agentWorkAcceptedTime": 16.733
}
],
"flowName": "Email Flow",
"queues": [
{
"queueEntryLength": 8,
"interactionSegmentId": "e135cda0-d9e4-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T17:55:54.861Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "e15ed970-d9e4-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T17:51:11.497Z",
"queueName": "Support",
"queueTime": 283.364,
"slaTime": 295.636,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 295.636
}
],
"direction": "inbound",
"channelType": "email"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"endTimestamp": "2017-12-05T17:55:54.416Z",
"flowId": "8590ce70-8668-11e7-b018-9a5ac3da6edd",
"interactionTime": 1783.873,
"segments": [
{
"endTimestamp": "2017-12-05T17:56:04.805Z",
"interactionSegmentId": "62bbbff0-d9e1-11e7-b3f1-2675b8cf7e39",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T17:26:10.543Z",
"segmentNumber": 0,
"segmentTime": 1794.262
}
],
"interactionId": "61b4b030-d9e1-11e7-9c4e-7eab04d876eb",
"contactPoint": "kris.mcgrath2+1@gmail.com",
"customer": "seasonal@email.yummly.com",
"customerHolds": 0,
"startTimestamp": "2017-12-05T17:26:10.543Z",
"ivrTime": 0.263,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 22.338,
"agentWrapUpTime": 2.339,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "62bbbff0-d9e1-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "7c4f9d20-d9e5-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T17:56:04.805Z",
"agentHandleTime": 10.197,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T17:55:31.442Z",
"tenantAgentId": 8376,
"agentConversationTime": 7.858,
"agentReadTime": 5.794,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 7.858,
"agentWorkAcceptedTime": 22.338
}
],
"flowName": "Email Flow",
"queues": [
{
"queueEntryLength": 7,
"interactionSegmentId": "62bbbff0-d9e1-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T17:55:54.056Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "62e3ba50-d9e1-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T17:26:10.806Z",
"queueName": "Support",
"queueTime": 1783.25,
"slaTime": 1789.044,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 1789.044
}
],
"direction": "inbound",
"channelType": "email"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"flagged": true,
"customerHoldTime": 8.785,
"flowId": "22e2f7d0-d6a4-11e7-9039-031a6a6e43ad",
"customerTransfers": 1,
"segments": [
{
"endTimestamp": "2017-12-05T17:58:13.307Z",
"interactionSegmentId": "98287530-d9d1-11e7-81c3-6aa612aefe9d",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T15:33:08.227Z",
"segmentNumber": 0,
"segmentTime": 8705.08
},
{
"segmentNumber": 1,
"interactionSegmentId": "dbe8e160-d9e5-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "74f32740-d9e5-11e7-816a-c7c1ef97bf27",
"transfer": true,
"segmentStartType": "transfer",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"endTimestamp": "2017-12-05T17:58:13.307Z",
"segmentEndType": "success",
"transferTime": 8.153,
"startTimestamp": "2017-12-05T17:58:11.831Z",
"segmentTime": 1.476
}
],
"interactionId": "9776ff80-d9d1-11e7-bf9b-9440dab83f25",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 1,
"startTimestamp": "2017-12-05T15:33:08.227Z",
"ivrTime": 0.434,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 9.605,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "98287530-d9d1-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "74f32740-d9e5-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T17:58:13.307Z",
"agentHandleTime": 163.457,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T17:55:19.093Z",
"tenantAgentId": 8376,
"agentConversationTime": 163.457,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 163.457,
"agentWorkAcceptedTime": 9.605
},
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 6.107,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "dce9af90-d9e5-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T17:59:54.703Z",
"agentHandleTime": 94.151,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T17:58:13.514Z",
"tenantAgentId": 8376,
"agentConversationTime": 94.151,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 94.151,
"agentWorkAcceptedTime": 6.107
}
],
"flowName": "SMS Flow",
"queues": [
{
"queueEntryLength": 25,
"interactionSegmentId": "98287530-d9d1-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T17:55:29.083Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "986a8740-d9d1-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T15:33:08.661Z",
"queueName": "Support",
"queueTime": 8540.422,
"slaTime": 8672.643,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 8672.643
},
{
"queueEntryLength": 1,
"interactionSegmentId": "dbe8e160-d9e5-11e7-81c3-6aa612aefe9d",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T17:58:19.984Z",
"queueExitType": "success",
"queueEntryType": "transfer",
"interactionQueueId": "dc0c20d0-d9e5-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T17:58:12.069Z",
"queueName": "Support",
"queueTime": 7.915,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"contactId": "93b34310-bfee-11e7-b9f2-01904e807d77",
"channelType": "sms"
}
]
}
Response Parameters
Your response may include statistics that are not described in this reference. For more information about the statistics that are returned, see the Data Dictionary.
The table below lists and describes the parameters that can be returned in the response.
| Parameter | Description | ||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| page | The page number for the page of results returned in the request. | ||||||||||||||||||||||||||||||||||||||||||||
| limit | The number of interactions to return per page. The default is 10. The maximum is 1000. | ||||||||||||||||||||||||||||||||||||||||||||
| offset | The offset, if specified, from the request. For example, the request might show interactions from page 10. | ||||||||||||||||||||||||||||||||||||||||||||
| tenantId | The tenant’s unique identifier. | ||||||||||||||||||||||||||||||||||||||||||||
| total | The number of interactions on the tenant. | ||||||||||||||||||||||||||||||||||||||||||||
| tenantTimeZone | The human readable name of the time zone for the tenant. | ||||||||||||||||||||||||||||||||||||||||||||
| results |
For each interaction, the following parameters might be returned:
|